Projects

  • GET
  • /workspaces
  • /:workspace
  • /projects

Get all projects in the workspace

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

statusstring
Filters projects by the specified status. Can be one of ACTIVE or CLOSED

Example: "ACTIVE"

sort_bystring
Specifies ordering. Can be one of name, create_date or repository_size

Example: "name"

sort_directionstring
Specifies the direction of the ordering. Can be one of ASC or DESC

Example: "ASC"

membershipstring
Filter projects by membership. If set to true, administrators get only the projects to which they belong in the workspace.

Example: "true"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
projectsShortProjectView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects", "html_url": "https://app.buddy.works/my-workspace", "projects": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project", "html_url": "https://app.buddy.works/my-workspace/projects/my-project", "name": "my-project", "display_name": "My Project", "status": "ACTIVE", "access": "PRIVATE", "create_date": "2023-01-15T10:30:00Z" }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/api-backend", "html_url": "https://app.buddy.works/my-workspace/projects/api-backend", "name": "api-backend", "display_name": "API Backend Service", "status": "ACTIVE", "access": "PRIVATE", "create_date": "2023-02-20T14:45:30Z" } ] }
STATUS
200 OK